Conversation API//Consents
Consents
Conversation API | Sinch
Overview
Messages
Apps
Contacts
Conversations
Events
Transcode
Capability
Consents
Projects
Webhooks
Managing templates
Template Management API
Overview
Templates V2
Overview
Conversation API - Batch API | Sinch
Messages
Contacts
Conversation API callbacks
Webhook routing
Consent management
Metadata guide
Conversation OAS in JSON format
Templates OAS in JSON format
Batch OAS in JSON format
Insert consent records for multiple identifications in a single request. If the request fails, none or only some of the records may be inserted. Retry the batch later to try again.
Security
BearerAuth
The unique ID of the project. You can find this on the Sinch Dashboard.
The ID of the Conversation API app under which the consent records are to be stored.
- https://us.conversationbatch.api.sinch.comhttps://us.conversationbatch.api.sinch.com/v1/projects/{project_id}/consents
curl -i -X POST \
'https://us.conversationbatch.api.sinch.com/v1/projects/{project_id}/consents' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"app_id": "{{APP_ID}}",
"consent_records": [
{
"identification": "{{PHONE_NUMBER_1}}",
"consent_type": "OPT_OUT_ALL"
},
{
"identification": "{{PHONE_NUMBER_2}}",
"consent_type": "OPT_OUT_MARKETING"
},
{
"identification": "{{PHONE_NUMBER_3}}",
"consent_type": "OPT_OUT_NOTIFICATION"
}
]
}'Response
{ "batch_id": "string" }
We'd love to hear from you!
Rate this content: